#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_strip:
	dh_strip --ddeb-migration='lilyterm-dbg (<< 0.9.9.4+git20150208.f600c0-2~)'

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/ChangeLog --keep upstream

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/lilyterm/usr/share/doc/lilyterm/COPYING
